Package com.saxonica.xsltextn

## Class TypeAliasManagerPE

- java.lang.Object
- - net.sf.saxon.trans.TypeAliasManager
  - - com.saxonica.xsltextn.TypeAliasManagerPE

-     public class TypeAliasManagerPE
      extends TypeAliasManager

  Manager for saxon:type-alias declarations in a stylesheet. Saxon extension introduced in Saxon 9.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeAliasManagerPE()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ItemType` | `getItemType​(StructuredQName alias)` |
    `void` | `processAllDeclarations​(java.util.List<ComponentDeclaration> topLevel)` |
    `void` | `processDeclaration​(ComponentDeclaration declaration)` |
    `void` | `registerTypeAlias​(StructuredQName name, ItemType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeAliasManagerPE

          public TypeAliasManagerPE()

  - ### Method Detail

    - #### registerTypeAlias

          public void registerTypeAlias​(StructuredQName name,
                                        ItemType type)

      Overrides:
        `registerTypeAlias` in class `TypeAliasManager`

    - #### processDeclaration

          public void processDeclaration​(ComponentDeclaration declaration)
                                  throws XPathException

      Overrides:
        `processDeclaration` in class `TypeAliasManager`
      Throws:
        `XPathException`

    - #### processAllDeclarations

          public void processAllDeclarations​(java.util.List<ComponentDeclaration> topLevel)
                                      throws XPathException

      Overrides:
        `processAllDeclarations` in class `TypeAliasManager`
      Throws:
        `XPathException`

    - #### getItemType

          public ItemType getItemType​(StructuredQName alias)

      Overrides:
        `getItemType` in class `TypeAliasManager`